//
//  LocalDoc.swift
//  LocalUIDocument
//
//  Created by Keith Welch on 9/24/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class LocalDoc: UIDocument {

    var text:String?
    
    override func contentsForType(typeName: String) throws -> AnyObject {
        if let content = text {
            let length = content.lengthOfBytesUsingEncoding(NSUTF8StringEncoding)
            return NSData(bytes:content, length: length)
            
        } else {
            return NSData()
        }
    }

    override func loadFromContents(contents: AnyObject, ofType typeName: String?) throws {
        if let userContent = contents as? NSData {
            text = NSString(bytes: contents.bytes, length: userContent.length, encoding: NSUTF8StringEncoding) as? String
        }
    }
    
}
