//
//  ViewController.swift
//  LocalUIDocument
//
//  Created by Keith Welch on 9/24/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var txtText: UITextView!
    
    var docFile:String!
    var docUrl:NSURL!
    var doc:LocalDoc!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let paths:NSArray = NSSearchPathForDirectoriesInDomains(.DocumentDirectory, .UserDomainMask, true)
        let documentsDirectory = paths[0] as! NSString
        docFile = documentsDirectory.stringByAppendingPathComponent("UIDocument.txt")
        docUrl = NSURL(fileURLWithPath: docFile)
        doc = LocalDoc(fileURL:docUrl)
        doc.text = ""
    }

    @IBAction func btnReadTouched(sender: AnyObject) {
        let filemgr = NSFileManager.defaultManager()
        if (filemgr.fileExistsAtPath(docFile)) {
            doc.openWithCompletionHandler({(success) -> Void in
                if (success) {
                    self.txtText.text = self.doc.text
                }
            })
        }
        else {
            doc.saveToURL(docUrl, forSaveOperation: UIDocumentSaveOperation.ForCreating, completionHandler: {(success) -> Void in
                if (success){
                    self.txtText.text = self.doc.text
                }
            })
        }

    }
    
    @IBAction func btnWriteTouched(sender: AnyObject) {
        doc.text = txtText.text
        doc.saveToURL(docUrl, forSaveOperation:UIDocumentSaveOperation.ForOverwriting, completionHandler:{(success) -> Void in
            if (success) {
                NSLog("doc saved")
            }
        })
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }


}

