//
//  ViewController.swift
//  WebView
//
//  Created by Keith Welch on 9/11/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UIWebViewDelegate {

    @IBOutlet weak var txtAddress: UITextField!
    
    @IBOutlet weak var webView: UIWebView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        webView.delegate = self
    }
    
    @IBAction func btnGoTouched(sender: AnyObject) {
        
        var address = txtAddress.text;
        
        if (address?.rangeOfString("http", options: NSStringCompareOptions.CaseInsensitiveSearch) == nil) {
            address = String(format: "http://%@", address!)
        }

        let url = NSURL(string: address!)
        let request = NSURLRequest(URL: url!)
        
        webView.loadRequest(request)
    }
    
    func webView(webView: UIWebView, shouldStartLoadWithRequest request: NSURLRequest, navigationType: UIWebViewNavigationType) -> Bool {
        
        let address = request.URL!.absoluteString
        NSLog("Request = %@", address)
        
        if (address.rangeOfString("microsoft.com", options: NSStringCompareOptions.CaseInsensitiveSearch) != nil) {
            NSLog("REQUEST REFUSED")
            return false
        }
        return true

    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

